For the complete documentation index, see llms.txt. This page is also available as Markdown.

QR Code

We have provided a new QR endpoint /v2/diamonds/{diamond_id}/qr (reference) which allows the grading lab to link the grading report and/or website to Tracr Diamond Experience.

The QR code is unique to each diamond.

Please note:

  • Diamonds need to be unlocked by the participant prior to the grading lab retrieving the QR Code for a Tracr diamond.

Required Data:

  • Tracr ID

Example request

Request
GET /v2/diamonds/ssbjk6aawzje50b3o77r8tx6u/qr

The endpoint returns the content of the PNG file. The binary stream can be dumped into a file.

Returned a QR linking to this diamond in the Diamond Experience. The response body is the binary PNG content; save to a file (e.g., qr.png) and open it.

Returned when the request doesn't match the endpoint data requirements.

Last updated